前端项目三方插件选择

       啧啧,最近公司做了个B2B的全新项目,既然是新项目肯定要实现很多功能。下拉列表,滚动效果,表格等等。所以选择一些好的三方插件可以提高开发效率,那就来看看我们选择了哪些插件。

      一. 下拉列表:

        select2:  http://select2.github.io/  

        此控件兼容IE8,IE8以上,firefox和chrome都兼容

        bug: 项目中发现在IE8的时候必须将<select></select> 包装到一个div下面。select同级不能包含其他标签。不然IE8会崩溃,这个坑花了大半天时间才找出来,因为WIN10模拟IE8的话,select 同级有其他标签,浏览器正常运行,不会崩溃,必须是真正的IE8才会崩溃,必须佩服测试MM,居然还留了一台没有升级过的IE8。哎。我等屌丝开发人员用着IE11开启IE8模式真心是发现不了select2这个bug.

    二. 表格:

         jquery.dataTables.js: https://www.datatables.net/

    三. 弹出层:

         Layer.JS 国内开发的: http://layer.layui.com/   

         真心不错的弹出层,支持各种样式的弹出效果

     四. 图片滑动:

          swiper.js:http://www.swiper.com.cn/

          支持各式各样的图片滑动,移动端和PC端都支持

     五. 表单验证

           jquery.validate.js:  http://www.runoob.com/jquery/jquery-plugin-validate.html

           原生提供的验证已经很全面的。支持自定义验证,写法也很简单。

      六. 富文本编辑器:

          百度的UEditor: http://ueditor.baidu.com/website/

           功能很全面。可惜官网提供出来的qq群人员已满,加不进去。不方便质询问题

      七.上传控件:

           webuploader: http://fex.baidu.com/webuploader/

           此上传控件支持IE8,IE8以上,firefox,chrome, 不过IE8的时候是通过Flash来实现上传功能的。所以IE8需要安装新版本flash. 为了更好的用户体验最好进入页面检查一下用户浏览器环境, 如果是IE8提示用户更新浏览器或者使用最新的flash. 

posted @ 2016-12-02 10:47  FrankZC  阅读(475)  评论(0编辑  收藏
博客园App你值得拥有【点击访问Github源码和下载地址】